Give an agent a task (same as POST /run)
Authorization
ApiKeyAuth AuthorizationBearer <token>
API key from API Keys in the dashboard menu.
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/agents/string/tasks" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "agent": { "id": "string", "name": "string" }, "title": "string", "status": "queued", "state": "working", "mode": "agentic", "test": true, "summary": "string", "reply": "string", "error": { "code": "string", "message": "string" }, "outputs": {}, "corrections": [ { "call_id": "string", "tool": "string", "changed": 0, "result": {} } ], "credits_used": 0, "files": [ { "id": "string", "name": "string", "kind": "string", "mime_type": "string", "url": "string", "data": null } ], "waiting_on": [ { "id": "string", "kind": "question", "prompt": {}, "assignees": [ "string" ], "expires_at": "2019-08-24T14:15:22Z" } ], "last_event": 0, "created_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "finished_at": "2019-08-24T14:15:22Z"}